package org.dromara.ygpassport.service;

import org.dromara.ygpassport.domain.Student;
import org.dromara.ygpassport.domain.vo.StudentListVo;
import org.dromara.ygpassport.domain.vo.StudentVo;
import org.dromara.ygpassport.domain.bo.StudentBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 学生详情Service接口
 *
 * @author Lion Li
 * @date 2024-03-24
 */
public interface IStudentService {

    /**
     * 查询学生详情
     */
    StudentVo queryById(Long id);

    /**
     * 根据学号查询学生信息
     */
    StudentVo queryByStuNo(String stuNo);

    /**
     * 查询学生详情列表
     */
    TableDataInfo<StudentVo> queryPageList(StudentBo bo, PageQuery pageQuery);

    /**
     * 查询学生详情列表
     */
    List<StudentVo> queryList(StudentBo bo);

    /**
     * 新增学生详情
     */
    Boolean insertByBo(StudentBo bo);

    /**
     * 修改学生详情
     */
    Boolean updateByBo(StudentBo bo);

    /**
     * 修改学生头像
     */
    Boolean updateAvatarByStuNo(String avatar, String stuNo);

    /**
     * 校验并批量删除学生详情信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
